For the complete documentation index, see llms.txt. This page is also available as Markdown.

Addresses

Addresses list

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Query parameters
pageintegerOptional

A page number within the paginated result set.

is_carrierbooleanOptional
is_shipperbooleanOptional
is_originbooleanOptional
is_destinationbooleanOptional
category__instringOptional

Comma separated values

Example: origin,destination
Responses
200

Get successful

application/json
countintegerOptionalExample: 1
nextstring · nullableOptional
previousstring · nullableOptional
get/addresses/
200

Get successful

Create an address

post

Add the address to the requester's company contact book. The address belongs to a company that already exists or is created in the same time.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
namestring · max: 200Optional

Label for this address

Example: Transport Bouvet
remote_idstringOptional

The id of the address in your system.

Example: COMP_123_ADR_1
addressstring · max: 200Optional

Address not mandatory but strongly advised to fill

Example: 3 rue des champs
citystring · max: 100RequiredExample: Nantes
postcodestring · max: 100RequiredExample: 44000
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2). Country not mandatory but strongly advised to fill

Example: FR
latitudenumber · floatOptional

Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: -52.5561625
longitudenumber · floatOptional

Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: 92.896504
radiusintegerOptional

Radius around the GPS coordinates within which the address is located (in meters)

Default: 500
coords_validatedbooleanOptional

if true, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates

Default: false
is_demobooleanOptional

Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters

is_carrierbooleanOptional

Controls the associated company's role (see company in same payload). For new companies ONLY. The value is ignored for existing companies. It is encouraged to use the company create/update endpoints directly instead.

is_shipperbooleanOptional

Controls the associated company's role (see company in same payload). For new companies ONLY. The value is ignored for existing companies. It is encouraged to use the company create/update endpoints directly instead.

is_originbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

is_destinationbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

Responses
201

Create successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
namestringOptionalExample: Transport Bouvet
addressstringOptionalExample: 3 rue des champs
citystringOptionalExample: Nantes
postcodestringOptionalExample: 44000
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
latitudenumber · floatOptional

Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: -52.5561625
longitudenumber · floatOptional

Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: 92.896504
radiusintegerOptional

Radius around the GPS coordinates within which the address is located (in meters)

Default: 500
coords_validatedbooleanOptional

if true, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates

Default: false
is_demobooleanOptional

Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters

is_carrierbooleanOptional
is_shipperbooleanOptional
is_originbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

is_destinationbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
instructionsstring · max: 1000Optional

Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.

remote_idstringOptional

The id of the address in your system.

post/addresses/
201

Create successful

Delete an address

delete
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
204

Empty body

No content

delete/addresses/{pk}/
204

Empty body

No content

Read an address

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired

Dashdoc's internal id

remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
namestringOptionalExample: Transport Bouvet
addressstringOptionalExample: 3 rue des champs
citystringOptionalExample: Nantes
postcodestringOptionalExample: 44000
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
latitudenumber · floatOptional

Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: -52.5561625
longitudenumber · floatOptional

Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: 92.896504
radiusintegerOptional

Radius around the GPS coordinates within which the address is located (in meters)

Default: 500
coords_validatedbooleanOptional

if true, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates

Default: false
is_demobooleanOptional

Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters

is_carrierbooleanOptional
is_shipperbooleanOptional
is_originbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

is_destinationbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
instructionsstring · max: 1000Optional

Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.

remote_idstringOptional

The id of the address in your system.

get/addresses/{pk}/
200

Get successful

Partially update an address

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Body
namestring · max: 200Optional

Label for this address

Example: Transport Bouvet
remote_idstringOptional

The id of the address in your system.

addressstring · max: 200OptionalExample: 3 rue des champs
citystring · max: 100OptionalExample: Nantes
postcodestring · max: 100OptionalExample: 44000
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
latitudenumber · floatOptional

Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: -52.5561625
longitudenumber · floatOptional

Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: 92.896504
radiusintegerOptional

Radius around the GPS coordinates within which the address is located (in meters)

Default: 500
coords_validatedbooleanOptional

if true, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates

Default: false
is_demobooleanOptional

Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters

is_carrierbooleanOptional

Controls the associated company's role (see company in same payload). For new companies ONLY. The value is ignored for existing companies. It is encouraged to use the company create/update endpoints directly instead.

is_shipperbooleanOptional

Controls the associated company's role (see company in same payload). For new companies ONLY. The value is ignored for existing companies. It is encouraged to use the company create/update endpoints directly instead.

is_originbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

is_destinationbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

Responses
200

Update successful

application/json
pknumberOptional

Dashdoc's internal id.

Example: 23498
namestringOptionalExample: Transport Bouvet
addressstringOptionalExample: 3 rue des champs
citystringOptionalExample: Nantes
postcodestringOptionalExample: 44000
countrystringOptional

Only the 2-character codification is accepted (ISO 3166-1 alpha-2)

Example: FR
latitudenumber · floatOptional

Latitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: -52.5561625
longitudenumber · floatOptional

Longitude using the decimal GPS coordinates (WGS84). At 7 decimals, the position is accurate around the centimeter.

Example: 92.896504
radiusintegerOptional

Radius around the GPS coordinates within which the address is located (in meters)

Default: 500
coords_validatedbooleanOptional

if true, when this address is used as a loading or unloading site, the mobile app displays an itinerary button to start GPS app with guidance to these coordinates

Default: false
is_demobooleanOptional

Indicates that the address is a fake one created from demonstration. Everything linked to it will be deleted when using the 'Delete demo content' button in company parameters

is_carrierbooleanOptional
is_shipperbooleanOptional
is_originbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

is_destinationbooleanOptional

Whether this address is a "Logistic Points" and will be usable as pickup/delivery point. The distinction between origin/pickup and destination/delivery was merged as a single "Logistic Point" concept. is_origin implies is_destination and vice-versa.

createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
instructionsstring · max: 1000Optional

Site instructions, visible to all parties (trucker, carrier, shipper, site). Displayed in the trucker mobile app. Not visible in the eCMR. If the field is not provided, the address's site instructions will be used.

remote_idstringOptional

The id of the address in your system.

patch/addresses/{pk}/
200

Update successful

Last updated

Was this helpful?